package validators

var (
	metricPeriodValues = []string{"latest", "hour", "day", "week"}
	imageTypeValues    = []string{"OPTICAL", "HDD"}
	imageStatusValues  = []string{"CREATING", "UPLOADING", "READY", "DELETING", "FAILED_TO_CREATE"}
	visibilityValues   = []string{"visible", "deleted", "all"}
	networkTypeValues  = []string{"HOST_ONLY", "CLUSTER_NETWORK", "BRIDGED_ETHERNET"}
	virtTypeValues     = []string{"VM", "CT"}
	vmStatusValues     = []string{
		"RUNNING", "PAUSED", "STOPPED", "SUSPENDED",
		"ERROR", "DELETED", "CREATING", "FAILED_TO_CREATE",
		"NODE_OFFLINE",
	}
	haStatusValues              = []string{"ACTIVE", "INACTIVE", "ERROR", "UNKNOWN", "NO LICENSE"}
	extStorageStatusValues      = []string{"READY", "UNMOUNTED", "UNAVAILABLE", "PARTIALLY_AVAILABLE", "UNKNOWN"}
	extStorageTypeValues        = []string{"NFSv3", "iSCSI", "blockdev"}
	nodeMaintenanceStatusValues = []string{"PREPARING", "INTERRUPTED", "ON_MAINTENANCE"}
	nodeAgentStatusValues       = []string{"UPDATED", "UPDATE_IN_PROGRESS", "MISMATCH_VERSION", "UPDATE_ERROR"}
	nodeStatusInHaClusterValues = []string{"IDLE", "ATTACHING", "MEMBER", "CANDIDATE", "MASTER", "EXISTING", "NET_ISOLATED", "DISK_ISOLATED", "FAILED", "UNKNOWN"}
	affinityRuleValues          = []string{"SHOULD", "MUST"}
	guestOSValues               = []string{"ANDROID", "CHROMEOS", "FREEBSD", "LINUX", "MACOS", "MSDOS", "NETWARE", "OS2", "OTHER", "SOLARIS", "WINDOWS"}
	guestOSVersionValues        = []string{"ANDROID_2_x", "ANDROID_3_x", "ANDROID_4_0", "ANDROID_LAST", "ANDROID_OTHER", "ASTRA_LINUX", "BSD_4X", "BSD_5X", "BSD_6X", "BSD_7X", "BSD_8X", "BSD_LAST", "BSD_OTHER", "CHROMEOS_1x", "CHROMEOS_LAST", "CHROMEOS_OTHER", "DOS_LAST", "DOS_MS622", "DOS_OTHER", "LIN_CENTOS", "LIN_CENTOS_7", "LIN_CENTOS_8", "LIN_DEBIAN", "LIN_FEDORA", "LIN_FEDORA_5", "LIN_KRNL_24", "LIN_KRNL_26", "LIN_LAST", "LIN_MAGEIA", "LIN_MANDRAKE", "LIN_MINT", "LIN_OPENSUSE", "LIN_OTHER", "LIN_PSBM", "LIN_REDHAT", "LIN_REDHAT_7", "LIN_REDHAT_8", "LIN_RHLES3", "LIN_RH_LEGACY", "LIN_SLES11", "LIN_SLES12", "LIN_SLES9", "LIN_SUSE", "LIN_UBUNTU", "LIN_VZLINUX", "LIN_VZLINUX_7", "LIN_VZLINUX_8", "LIN_XANDROS", "LIN_CLOUDLINUX", "LIN_CLOUDLINUX_7", "MACOS_LAST", "MACOS_LEOPARD", "MACOS_SNOW_LEOPARD", "MACOS_TIGER", "MACOS_UNIVERSAL", "NET_4X", "NET_5X", "NET_6X", "NET_LAST", "NET_OTHER", "OS2_ECS11", "OS2_ECS12", "OS2_LAST", "OS2_OTHER", "OS2_WARP3", "OS2_WARP4", "OS2_WARP45", "OTH_LAST", "OTH_OPENSTEP", "OTH_OTHER", "OTH_QNX", "SOL_10", "SOL_11", "SOL_9", "SOL_LAST", "SOL_OPEN", "SOL_OTHER", "WIN_2003", "WIN_2008", "WIN_2012", "WIN_2016", "WIN_2019", "WIN_2K", "WIN_311", "WIN_95", "WIN_98", "WIN_LAST", "WIN_ME", "WIN_NT", "WIN_OTHER", "WIN_VISTA", "WIN_WINDOWS10", "WIN_WINDOWS7", "WIN_WINDOWS8", "WIN_WINDOWS8_1", "WIN_XP"}
	autoStartValues             = []string{"OFF", "ON", "AUTO", "START_APP", "OPEN_WINDOW"}
	autoStopValues              = []string{"STOP", "SUSPEND", "SHUTDOWN"}
	vncModeValues               = []string{"disabled", "auto", "manual"}
	chipsetValues               = []string{"I440FX", "Q35"}
	clockOffsetValues           = []string{"UTS", "LOCALTIME"}
	templateStatusValues        = []string{"unknown", "creating", "error", "deleted", "failed_to_create", "ready"}
	cpuUnitsRange               = []int64{2, 262144}
	cpuLimitRange               = []int64{0, 100}
	ioPriorityRange             = []int64{0, 7}
	videoRamRange               = []int64{1, 1024}
	memGuaranteeSizeRange       = []int64{-1, 100}
)
