package requests

import "time"

type ListVNetworksRequest struct {
	// Cluster id where virtual net is attached
	// Required: true
	ClusterID int `url:"cluster_id" json:"cluster_id" validate:"required"`

	// ID of alias
	// Required: false
	AliasID int `url:"alias_id,omitempty" json:"alias_id,omitempty"`

	// Name of the vnet
	// Required: false
	Name string `url:"name,omitempty" json:"name,omitempty"`

	// Virtual networks for filtering by and text field
	// Required: false
	FilterText string `url:"filter_text,omitempty" json:"filter_text,omitempty"`

	// List columns which will be used by filter_text
	// Required: false
	FilterColumns string `url:"filter_columns,omitempty" json:"filter_columns,omitempty"`

	// Filter entities created before this date.
	// Required: false
	CreatedBefore time.Time `url:"created_before,omitempty" json:"created_before,omitempty"`

	// Filter entities created after this date.
	// Required: false
	CreatedAfter time.Time `url:"created_after,omitempty" json:"created_after,omitempty"`

	// List of columns for sorting.
	// Required: false
	Sort []string `url:"sort,omitempty" json:"sort,omitempty"`

	// Visibility status of the interface (visible, all, deleted).
	// Required: false
	Visibility string `url:"visibility,omitempty" json:"visibility,omitempty" validate:"omitempty,visibility"`

	// NetworkType type of virtual network (HOST_ONLY, CLUSTER_NETWORK, BRIDGED_ETHERNET).
	// Required: false
	NetworkType string `url:"network_type,omitempty" json:"network_type,omitempty" validate:"omitempty,network_type"`

	// NetworkType type of virtual network (HOST_ONLY, CLUSTER_NETWORK, BRIDGED_ETHERNET).
	// Required: false
	FilterByUsePermission bool `url:"filter_by_use_permission,omitempty" json:"filter_by_use_permission,omitempty"`

	// Number of the page to return.
	// Required: false
	Page int `url:"page,omitempty" json:"page,omitempty"`

	// Number of items to return per page.
	// Required: false
	Limit int `url:"limit,omitempty" json:"limit,omitempty"`
}
