package models

import "time"

// ListImage represents the response containing image data.
type ListImage struct {
	Total              int         `json:"total"`
	Page               int         `json:"page"`
	PerPage            int         `json:"per_page"`
	IsApproximateTotal bool        `json:"is_approximate_total"`
	Items              []ItemImage `json:"items"`
	HasMore            bool        `json:"has_more"`
	RequestID          string      `json:"request_id"`
}

// ItemImage represents the details of each image item.
type ItemImage struct {
	Active          bool      `json:"active"`
	Filename        string    `json:"filename"`
	IsTemplateImage bool      `json:"is_template_image"`
	Created         time.Time `json:"created"`
	Md5             string    `json:"md5"`
	Status          string    `json:"status"`
	Modified        time.Time `json:"modified"`
	ImageID         int       `json:"image_id"`
	Deleted         time.Time `json:"deleted"`
	UUID            string    `json:"uuid"`
	Name            string    `json:"name"`
	Mark            string    `json:"mark"`
	ShareID         string    `json:"share_id"`
	Description     string    `json:"description"`
	Size            int       `json:"size"`
	ImageType       string    `json:"image_type"`
	FileSize        int       `json:"file_size"`
}
