package models

import "time"

type ListResPoolResponse struct {
	List      ListResPool `json:"resource_pool_list"`
	RequestID string      `json:"request_id"`
}

type ListResPool struct {
	Total              int           `json:"total"`
	Page               int           `json:"page"`
	PerPage            int           `json:"per_page"`
	IsApproximateTotal bool          `json:"is_approximate_total"`
	Items              []ItemResPool `json:"items"`
	HasMore            bool          `json:"has_more"`
}

type ItemResPool struct {
	RAMLimitMb               int       `json:"ram_limit_mb"`
	DiskLimitMb              int       `json:"disk_limit_mb"`
	ClusterID                int       `json:"cluster_id"`
	ExternalUUID             string    `json:"external_uuid"`
	ResourcePoolID           int       `json:"resource_pool_id"`
	Lock                     bool      `json:"lock"`
	Deleted                  time.Time `json:"deleted"`
	Name                     string    `json:"name"`
	PrimaryExternalStorageID int       `json:"primary_external_storage_id"`
	ExternalResourceID       any       `json:"external_resource_id"`
	CPULimit                 int       `json:"cpu_limit"`
	NodeCount                int       `json:"node_count"`
	Created                  time.Time `json:"created"`
	CPUUsed                  int       `json:"cpu_used"`
	RAMUsedMb                int       `json:"ram_used_mb"`
	DiskUsedMb               int       `json:"disk_used_mb"`
	ClusterName              string    `json:"cluster_name"`
	ExternalStorageIds       []int     `json:"external_storage_ids"`
}
