package models

import "time"

type CreateVMResponse struct {
	Task      CreateTask `json:"task"`
	VMIds     []int      `json:"vm_ids"`
	RequestID string     `json:"request_id"`
}

type CreateTask struct {
	Error       string    `json:"error"`
	Snapshot    string    `json:"snapshot"`
	ParentID    int       `json:"parent_id"`
	Status      string    `json:"status"`
	Created     time.Time `json:"created"`
	Progress    string    `json:"progress"`
	Command     string    `json:"command"`
	Finished    time.Time `json:"finished"`
	Type        string    `json:"type"`
	TimeoutAt   time.Time `json:"timeout_at"`
	InitiatorID int       `json:"initiator_id"`
	RequestID   string    `json:"request_id"`
	Started     time.Time `json:"started"`
	VMID        int       `json:"vm_id"`
	NodeID      int       `json:"node_id"`
	HasChildren bool      `json:"has_children"`
	Initiator   Initiator `json:"initiator"`
	Node        TaskNode  `json:"node"`
	Cluster     Cluster   `json:"cluster"`
	VM          VM        `json:"vm"`
}
