package models

import "time"

// EnableInfoResponse represents the response containing enable information for a VM operation.
type EnableInfoResponse struct {
	EnableInfo EnableInfo `json:"task_info"`
	RequestID  string     `json:"request_id"`
}

// EnableInfo represents the detailed task information for a VM operation.
type EnableInfo struct {
	Progress        int       `json:"progress"`
	RequestID       string    `json:"request_id"`
	Finished        time.Time `json:"finished"`
	ParentID        int       `json:"parent_id"`
	NodeID          int       `json:"node_id"`
	Error           string    `json:"error"`
	VMID            int       `json:"vm_id"`
	NewVMStatus     string    `json:"new_vm_status"`
	CurrentVMStatus string    `json:"current_vm_status"`
	Snapshot        string    `json:"snapshot"`
	InitiatorID     int       `json:"initiator_id"`
	Type            string    `json:"type"`
	Started         time.Time `json:"started"`
	TimeoutAt       time.Time `json:"timeout_at"`
	NewNodeID       int       `json:"new_node_id"`
	Status          string    `json:"status"`
	Command         string    `json:"command"`
	Created         time.Time `json:"created"`
	HasChildren     bool      `json:"has_children"`
	Initiator       Initiator `json:"initiator"`
	Node            TaskNode  `json:"node"`
	Cluster         Cluster   `json:"cluster"`
	VM              VM        `json:"vm"`
}
